module Paths_ContArrow (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,0,5], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/ej/.cabal/bin"
libdir     = "/home/ej/.cabal/lib/ContArrow-0.0.5/ghc-6.10.1"
datadir    = "/home/ej/.cabal/share/ContArrow-0.0.5"
libexecdir = "/home/ej/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "ContArrow_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "ContArrow_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "ContArrow_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "ContArrow_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
